Foreman - Bug #18988
Target version: 1.14.3
Triaged: Found in Releases: 1.14.2
Bugzilla link: Red Hat JIRA:

Pull request:

Description

| am having an issue with foreman 1.14.2 and vmware vshpere 5.5.

When | clone a host in foreman and try to redeploy via vsphere iget this error:

"Failed to create a compute vCenter (VMware) instance "hostname": controller_key is required for this operation”

| do not get this on a "new host" creation. Cloning operations to other compute resources like oVirt work as expected.

| have attached the relevant section of the production.log.

History

#1 - 03/22/2017 11:46 PM - Vladimir Safronov

Mark Gargiulo wrote:

| am having an issue with foreman 1.14.2 and vmware vshpere 5.5.

When | clone a host in foreman and try to redeploy via vsphere iget this error:

"Failed to create a compute vCenter (VMware) instance "hostname": controller_key is required for this operation”

| do not get this on a "new host" creation. Cloning operations to other compute resources like oVirt work as expected.

| have attached the relevant section of the production.log.

The same issue with foreman 1.14.2 and vSphere 6.5

#2 - 03/23/2017 04:10 AM - Dominic Cleal

- Category set to Compute resources - VMware

Could you please try installing a more recent version of tfrm-rubygem-fog-vsphere? (
http://yum.theforeman.org/nightly/el7/x86_64/tfm-rubygem-fog-vsphere-1.7.0-1.el7.noarch.rpm, and restart httpd) There are some fixes that may be
related in the newer version.

#3 - 03/23/2017 01:21 PM - Mark Gargiulo

| upgraded tfm-rubygem-fog-vsphere to 1.7.0 as you suggested and that seems to have fixed the issue in my dev environment. | will do the same in
production later today.

#4 - 03/23/2017 04:39 PM - Mark Gargiulo

Dominic,
| can verify that this also works in our production environments.
Thanks for the quick turnaround.

#5 - 03/24/2017 04:04 AM - Dominic Cleal
- Status changed from New to Closed
- Assignee set to Dominic Cleal

- translation missing: en.field_release set to 227

Thanks for confirming, the package is set now for the next patch release.
